// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::ffi;
use glib::{bitflags::bitflags, translate::*};

bitflags! {
    #[derive(Clone, Copy, Debug, PartialEq, Eq, Hash)]
    #[doc(alias = "TrackerSparqlConnectionFlags")]
    pub struct SparqlConnectionFlags: u32 {
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_NONE")]
        const NONE = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_NONE as _;
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_READONLY")]
        const READONLY = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_READONLY as _;
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STEMMER")]
        const FTS_ENABLE_STEMMER = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STEMMER as _;
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_UNACCENT")]
        const FTS_ENABLE_UNACCENT = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_UNACCENT as _;
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STOP_WORDS")]
        const FTS_ENABLE_STOP_WORDS = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_FTS_ENABLE_STOP_WORDS as _;
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_FTS_IGNORE_NUMBERS")]
        const FTS_IGNORE_NUMBERS = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_FTS_IGNORE_NUMBERS as _;
        #[doc(alias = "TRACKER_SPARQL_CONNECTION_FLAGS_ANONYMOUS_BNODES")]
        const ANONYMOUS_BNODES = ffi::TRACKER_SPARQL_CONNECTION_FLAGS_ANONYMOUS_BNODES as _;
    }
}

#[doc(hidden)]
impl IntoGlib for SparqlConnectionFlags {
    type GlibType = ffi::TrackerSparqlConnectionFlags;

    #[inline]
    fn into_glib(self) -> ffi::TrackerSparqlConnectionFlags {
        self.bits()
    }
}

#[doc(hidden)]
impl FromGlib<ffi::TrackerSparqlConnectionFlags> for SparqlConnectionFlags {
    #[inline]
    unsafe fn from_glib(value: ffi::TrackerSparqlConnectionFlags) -> Self {
        skip_assert_initialized!();
        Self::from_bits_truncate(value)
    }
}
